let
  pkgs = import <nixpkgs> { };
in
  pkgs.stdenv.mkDerivation {
    name = "diary";
    version = "v0.15";
    buildInputs = with pkgs; [
      pkg-config
      ncurses
      curlFull
      libxml2
    ];

    src = pkgs.fetchgit {
      url = "https://git.in0rdr.ch/diary.git";
      rev = "refs/tags/v0.15";
      hash = "sha256-9+uQZnHgn2d0XLOHci2+qqRCgoz+qTLpuEtY0clwXxI=";
    };

    installPhase = ''
      install -d $out/bin
      install -d $out/share/man/man1
      install -m755 diary $out/bin/
      install -m644 man1/diary.1 $out/share/man/man1/
    '';
  }

